* {
   margin: 0;
   padding: 0;
}

body {
   padding: 20px;
   font-family: "Helvetica", sans-serif;
}

main {
   max-width: 1000px;
   margin: auto;
}

h1 {
   padding: 50px 0 30px 0;
   font-size: 50px;
}

.cards {
   display: flex;
   flex-wrap: wrap;
   padding-bottom: 40px;
}

.cards__card {
   position: relative;
   overflow: hidden;
   height: 300px;
   width: 200px;
   border-radius: 7px;
   box-shadow: 0px 3px 8px 0px rgba(0,0,0,0.3);
   transition: .4s;
   cursor: pointer;
}

.cards__card:not(:last-child) { margin-right: 10px; } 

.cards__card:hover .cards__text-field {
   bottom: 0;
   visibility: visible;
}

.cards__card:hover { box-shadow: 0px 7px 14px 0px rgba(0,0,0,0.5); }

.cards__image {
   height: 100%;
   width: 100%;
   object-fit: cover;
   border-radius: 7px;
}

.cards__small-title {
   position: absolute;
   top: 0;
   left: 0;
   padding: 6px 10px;
   color: rgb(255, 255, 255);
   font-size: 13px;
   font-weight: 600;
}

.cards__text-field {
   position: absolute;
   bottom: -100%;
   left: 0;
   visibility: hidden;
   padding: 10px 10px 50px 10px;
   background-color: rgba(0, 0, 0, .7);
   border-radius: 7px;
   transition: .2s;
}

.cards__heading {
   padding-top: 5px;
   color: rgb(224, 224, 224);
   font-size: 20px;
   line-height: 1.3;
}

.cards__text {
   color: rgb(196, 196, 196);
   font-size: 13px;
   line-height: 1.28;
}